Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Interface BootstrapContext

public interface BootstrapContext

This provides a mechanism to pass a bootstrap context to a resource adapter instance when it is bootstrapped. That is, when (`start(BootstrapContext)`) method on the `ResourceAdapter` class is invoked. The bootstrap context contains references to useful facilities that could be used by the resource adapter instance.

Version:
  1.0
Author:
  Ram Jeyaraman

Method Summary
`java.util.Timer` | `createTimer()` Creates a new `java.util.Timer` instance.
`WorkManager` | `getWorkManager()` Provides a handle to a `WorkManager` instance.
`XATerminator` | `getXATerminator()` Provides a handle to a `XATerminator` instance.

Method Detail

### getWorkManager

    public WorkManager getWorkManager()

  Provides a handle to a `WorkManager` instance. The `WorkManager` instance could be used by a resource adapter to do its work by submitting `Work` instances for execution.

  Returns:
    a `WorkManager` instance.

### getXATerminator

    public XATerminator getXATerminator()

  Provides a handle to a `XATerminator` instance. The `XATerminator` instance could be used by a resource adapter to flow-in transaction completion and crash recovery calls from an EIS.

  Returns:
    a `XATerminator` instance.

### createTimer

    public java.util.Timer createTimer()
                                throws UnavailableException

  Creates a new `java.util.Timer` instance. The `Timer` instance could be used to perform periodic `Work` executions or other tasks.

  Returns:
    a new `Timer` instance.
  Throws:
    `UnavailableException` - indicates that a `Timer` instance is not available. The request may be retried later.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.